int Sound_Sensor = A0;  // A0에 센서연결
int Sensor_val;  // 센서 ADC값 저장 변수
int count_clap;  // 박수 소리 횟수 카운트

void setup()  // 초기화
{
  Serial.begin(9600);  // 시리얼 통신 속도 설정
}

/* 소리의 발생 횟수를 카운트해서 시리얼 모니터에 표시한다. */
void loop()  // 무한루프
{
  Sensor_val = analogRead(Sound_Sensor);  // 센서 값을 읽어와서 Sensor_val에 저장
  if (Sensor_val <= 28)  // 센서 값이 28보다 작거나 같으면
  {
    count_clap++;  // count_clap값 1증가
    Serial.println(count_clap);  // 시리얼 모니터로 count_clap의 값을 출력 후 한 줄 내림
    delay(20);  // 노이즈에 의한 연속적인 감지를 방지하기 위해 0.02초 지연
  }
}
